"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withCache = exports.noCache = void 0;
function noCache(req, res, next) {
    res.header('Cache-Control', 'private,no-cache,no-store,must-revalidate,proxy-revalidate');
    res.header('Expires', '-1');
    res.header('Pragma', 'no-cache');
    next();
}
exports.noCache = noCache;
function withCache(req, res, next) {
    res.header('Cache-Control', 'public,max-age=86400,immutable');
    next();
}
exports.withCache = withCache;
